
{% if is_granted('ROLE_PROFESSOR') or is_granted('ROLE_STUDENT') %}
    <div class="modal-custom"></div>
    <div class="button-open-chat p-0">
        <div class="btn button-transparent"><i class="fas fa-comments fa-3x"></i></div>
    </div>

    <div class="container chat-box p-0">
        <div class="chat-box-header d-flex justify-content-between"><div class="h4 chat-title">LIVECHAT</div><button class="btn button-transparent button-close-chat">x</button></div>
        <div class="row main-row-box px-0 mx-0">
            <div class="col-4 left-chat h-100 px-0">
                <div class="create-conversation-section px-3">
                    <div class="error-message text-danger p-2"></div>
                    <button class="create-conversation-button mt-4 w-100">new conversation</button>
                    <div class="list-group user-list-creation"></div>
                </div>
                <div>
                    <div class="no-conversation text-center py-5">No conversation found.</div>
                </div>
                <ul class="list-group list-group-conversation mt-3"></ul>
            </div>
            <div class="col-8 right-chat h-100">
                <div class="title-messages-section w-100"></div>
                <div id="message-section" class="messages-section w-100"></div>
                <div class="create-message-section w-100"></div>
            </div>
        </div>
        <div class="chat-box-footer w-100"></div>
        <input class="tokenId" type="hidden" data-token="{{ csrf_token(app.user.id) }}" />
        <input id="path_show_conversation" type="hidden" data-src="{{ path('conversation_show') }}" />
        <input id="path_create_message" type="hidden" data-src="{{ path('message_new') }}" />
    </div>

{% endif %}
